Package org.eclipse.rdf4j.query.algebra

## Class In

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.SubQueryValueOperator
    - - org.eclipse.rdf4j.query.algebra.CompareSubQueryValueOperator
      - - org.eclipse.rdf4j.query.algebra.In

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `ValueExpr`, `VariableScopeChange`

      public class In
      extends CompareSubQueryValueOperator

  Checks whether a certain value is contained in a set of results produced by a query.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.CompareSubQueryValueOperator

      `arg`

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.SubQueryValueOperator

      `subQuery`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `In()` |
    `In​(ValueExpr valueExpr, TupleExpr subQuery)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `In` | `clone()` | Returns a (deep) clone of this query model node.
    `boolean` | `equals​(Object other)` | Returns true if this query model node and its children are recursively equal to o and its children.
    `int` | `hashCode()` |
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.CompareSubQueryValueOperator

      `getArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.SubQueryValueOperator

      `getSubQuery, setSubQuery`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### In

          public In()

    - #### In

          public In​(ValueExpr valueExpr,
                    TupleExpr subQuery)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### equals

          public boolean equals​(Object other)

      Description copied from interface: `QueryModelNode`
      Returns true if this query model node and its children are recursively equal to o and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `CompareSubQueryValueOperator`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CompareSubQueryValueOperator`

    - #### clone

          public In clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `CompareSubQueryValueOperator`
      Returns:
        A deep clone of this query model node.